# Get-RASAgent

### NAME

Get-RASAgent\ <br>

### SYNOPSIS

Retrieves RAS Agent information by server type or server name.\ <br>

### SYNTAX

Get-RASAgent \[-[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAgent.html#Server)] *\<string>* \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAgent.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAgent.html#CommonParameters)*>*]\
\
Get-RASAgent \[\[-[ServerType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAgent.html#ServerType)] {RDSHost | RDS | Provider | Gateway | Guest | VDITemplate | RDSTemplate | AVDTemplate | Broker | PA | Site | RDSHostPool | RDSGroup | HALBDevice | HALB | Enrollment | TenantBroker | VDIHost | AVDHost | AVDHostPool | AVDWorkspace | All}] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAgent.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAgent.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the information about RAS Agent(s) installed on a specific server or on servers of a specific type, such as.\
\
Connection Broker, RD Session Host, RAS Secure Gateway, Provider, VDI Desktop, VDI Template.\ <br>

### PARAMETERS

\
-**Server \<string>**\
The name of server from which to retrieve Agent information.\
\
This must be the actual server name used in the RAS farm.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the specified Agent information.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ServerType <**[**RASServerType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASServerType.html)**>**\
Specifies the server type for which to retrieve the information.\
\
Possible values: RDSHost, RDS, Provider, Gateway, Guest, VDITemplate, RDSTemplate, AVDTemplate, Broker, PA, Site, RDSHostPool, RDSGroup, HALBDevice, HALB, Enrollment, TenantBroker, VDIHost, AVDHost, AVDHostPool, AVDWorkspace, All\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                All
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[RASAgentInfo](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASAgentInfo.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAgent -Server MyRASserver\
\
Retrieves the information about Agent(s) installed on the server named 'MyRASserver'.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASAgent\
\
Retrieves the information about all Agents from all servers in the farm.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASAgent -ServerType RDS\
\
Retrieves the information about the Agents installed on all RD Sessions Host servers in the farm.\
\&#xNAN;**---------- EXAMPLE 4 ----------**\
\
Get-RASAgent -SiteId 3 -ServerType RDS\
\
Retrieves the information about the Agents installed on all RD Sessions Host servers in the farm of a specific site.\
\&#xNAN;**---------- EXAMPLE 5 ----------**\
\
Get-RASAgent -SiteId 3 -Server MyRASserver\
\
Retrieves the information about Agent(s) installed on the server named 'MyRASserver' from a specific site.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasagent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
